%global _hardened_build 1

%define major 0
%define libname %mklibname %name %major
%define libname_devel %mklibname -d %name

Name:           drpm
Version:        0.3.0
Release:        %mkrel 1
Summary:        A small library for fetching information from DeltaRPM packages
Group:          System/Libraries
License:        LGPLv3+
URL:            http://fedorahosted.org/%{name}
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  rpm-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel
BuildRequires:  lzma-devel
BuildRequires:  openssl-devel

BuildRequires:  cmake >= 2.8
BuildRequires:  libcmocka-devel >= 1.0
BuildRequires:  valgrind
BuildRequires:  doxygen

%package -n %{libname}
Summary:        A small library for fetching information from DeltaRPM packages
Group:          System/Libraries

%package -n %{libname_devel}
Summary:        C interface for the drpm library
Group:          Development/C
Provides:       %{name}-devel%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname}%{?_isa} = %{version}-%{release}

%description
The drpm package provides a small library allowing one to fetch
various info from DeltaRPM packages.

%description -n %{libname}
This package provides a small library allowing one to fetch
information from DeltaRPM packages.

%description -n %{libname_devel}
This package provides a C interface (drpm.h) for the drpm library.

%prep
%setup -q

%build
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo
%make_build

%install
pushd ./build
%make_install
popd

%check
pushd ./build
ctest -VV
popd

%files -n %{libname}
%{_libdir}/libdrpm.so.%{major}
%{_libdir}/libdrpm.so.%{major}.*
%license COPYING COPYING.LESSER

%files -n %{libname_devel}
%{_libdir}/libdrpm.so
%{_includedir}/drpm.h
%{_libdir}/pkgconfig/drpm.pc



%changelog
* Sun Jul 31 2016 ngompa <ngompa> 0.3.0-1.mga6
+ Revision: 1044141
- Upgrade to 0.3.0

* Sun Feb 14 2016 umeabot <umeabot> 0.2.1-3.mga6
+ Revision: 959854
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 ngompa <ngompa> 0.2.1-2.mga6
+ Revision: 893751
- Initial import of drpm for Mageia


* Fri Oct 16 2015 Neal Gompa <ngompa13{%%}gmail{*}com> - 0.2.1-2
- Port to Mageia

* Tue Aug 4 2015 Matej Chalk <mchalk@redhat.com> 0.2.1-1
- Added openssl dependency

* Fri Jul 24 2015 Matej Chalk <mchalk@redhat.com> 0.2.0-2
- Fixed bug in test suite

* Tue Jun 23 2015 Matej Chalk <mchalk@redhat.com> 0.2.0-1
- Bumped minor version

* Fri Jun 19 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-4
- Memory test only for architectures that have valgrind (#1232157)

* Wed Mar 11 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-3
- Added cmocka and valgrind package dependencies

* Fri Mar 6 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-2
- Added check section

* Fri Feb 13 2015 Matej Chalk <mchalk@redhat.com> 0.1.3-1
- Bumped version to 0.1.3
- Added CMake tool

* Fri Dec 19 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-4
- Enabled hardened build

* Mon Dec 15 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-3
- Added unversioned .so to package to enable linking with -ldrpm

* Thu Dec 11 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-2
- Removed unversioned .so from package
- Included copies of both GPLv3 and LGPLv3

* Wed Dec 3 2014 Matej Chalk <mchalk@redhat.com> 0.1.2-1
- Bumped version to 0.1.2
- Added drpm.pc file for pkgconfig tool

* Thu Nov 6 2014 Matej Chalk <mchalk@redhat.com> 0.1.1-1
- Bumped version to 0.1.1

* Wed Nov 5 2014 Matej Chalk <mchalk@redhat.com> 0.1.0-1
- Initial RPM release
